extends Tween

export var default_duration = 0.1

func connect_into(o):
	connect("tween_completed", o, "_on_tween_completed")

func move_char(c, target, duration = default_duration):
	interpolate_property(c, "position", c.get_position(), target, duration, Tween.TRANS_LINEAR, Tween.EASE_OUT_IN)

func rotate_char(c, from, to, duration = default_duration):
	interpolate_property(c, "rotation_degrees", from, to, duration, Tween.TRANS_LINEAR, Tween.EASE_OUT)
